package schedule

import (
	"gitlink.org.cn/JointCloud/pcm-coordinator/pkg/repository/result"
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"
	"gitlink.org.cn/JointCloud/pcm-coordinator/internal/logic/schedule"
	"gitlink.org.cn/JointCloud/pcm-coordinator/internal/svc"
	"gitlink.org.cn/JointCloud/pcm-coordinator/internal/types"
)

func ScheduleCancelTaskHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.CancelTaskReq
		if err := httpx.Parse(r, &req); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := schedule.NewScheduleCancelTaskLogic(r.Context(), svcCtx)
		resp, err := l.ScheduleCancelTask(&req)
		result.HttpResult(r, w, resp, err)

	}
}
